VkPipelineLayoutCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkPipelineLayoutCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineLayoutCreateFlags | flags
uint32_t | setLayoutCount
const VkDescriptorSetLayout * | pSetLayouts
uint32_t | pushConstantRangeCount
const VkPushConstantRange * | pPushConstantRanges

## Detailed Description

Definition at line 2135 of file vulkan.h.

## Field Documentation

## flags

VkPipelineLayoutCreateFlags VkPipelineLayoutCreateInfo::flags

Definition at line 2138 of file vulkan.h.

## pNext

const void* VkPipelineLayoutCreateInfo::pNext

Definition at line 2137 of file vulkan.h.

## pPushConstantRanges

const VkPushConstantRange* VkPipelineLayoutCreateInfo::pPushConstantRanges

Definition at line 2142 of file vulkan.h.

## pSetLayouts

const VkDescriptorSetLayout* VkPipelineLayoutCreateInfo::pSetLayouts

Definition at line 2140 of file vulkan.h.

## pushConstantRangeCount

uint32_t VkPipelineLayoutCreateInfo::pushConstantRangeCount

Definition at line 2141 of file vulkan.h.

## setLayoutCount

uint32_t VkPipelineLayoutCreateInfo::setLayoutCount

Definition at line 2139 of file vulkan.h.

## sType

VkStructureType VkPipelineLayoutCreateInfo::sType

Definition at line 2136 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h